> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}:
    get:
      tags:
        - projects
      summary: Get Project
      operationId: get_project_v2_projects__project_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ProjectDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        created_by:
          type: string
          format: uuid4
          title: Created By
        type:
          anyOf:
            - $ref: '#/components/schemas/ProjectType'
            - type: 'null'
        created_by_user:
          $ref: '#/components/schemas/UserInfo'
        runs:
          items:
            $ref: '#/components/schemas/RunDB'
          type: array
          title: Runs
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        bookmark:
          type: boolean
          title: Bookmark
          default: false
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        labels:
          items:
            $ref: '#/components/schemas/ProjectLabels'
          type: array
          title: Labels
      type: object
      required:
        - id
        - created_by
        - created_by_user
        - runs
        - created_at
        - updated_at
      title: ProjectDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    ProjectType:
      type: string
      enum:
        - prompt_evaluation
        - llm_monitor
        - protect
        - gen_ai
      title: ProjectType
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    RunDB:
      properties:
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Name
        project_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Project Id
        created_by:
          type: string
          format: uuid4
          title: Created By
        num_samples:
          type: integer
          title: Num Samples
        winner:
          type: boolean
          title: Winner
        dataset_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Hash
        dataset_version_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Dataset Version Id
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        task_type:
          anyOf:
            - $ref: '#/components/schemas/TaskType'
            - type: 'null'
        last_updated_by:
          type: string
          format: uuid4
          title: Last Updated By
        run_tags:
          items:
            $ref: '#/components/schemas/RunTagDB'
          type: array
          title: Run Tags
        example_content_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Example Content Id
        creator:
          $ref: '#/components/schemas/UserDB'
        logged_splits:
          items:
            type: string
          type: array
          title: Logged Splits
        logged_inference_names:
          items:
            type: string
          type: array
          title: Logged Inference Names
      type: object
      required:
        - created_by
        - num_samples
        - winner
        - id
        - created_at
        - updated_at
        - last_updated_by
        - creator
        - logged_splits
        - logged_inference_names
      title: RunDB
    ProjectLabels:
      type: string
      enum:
        - sample
      title: ProjectLabels
      description: Enum for project labels used in the UI.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    TaskType:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
      title: TaskType
      description: >-
        Valid task types for modeling.


        We store these as ints instead of strings because we will be looking
        this up in the database frequently.
    RunTagDB:
      properties:
        key:
          type: string
          maxLength: 256
          title: Key
        value:
          type: string
          maxLength: 256
          title: Value
        tag_type:
          type: string
          title: Tag Type
        project_id:
          type: string
          format: uuid4
          title: Project Id
        run_id:
          type: string
          format: uuid4
          title: Run Id
        created_by:
          type: string
          format: uuid4
          title: Created By
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - key
        - value
        - tag_type
        - project_id
        - run_id
        - created_by
        - id
        - created_at
        - updated_at
      title: RunTagDB
    UserDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          default: ''
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          default: ''
        auth_method:
          $ref: '#/components/schemas/AuthMethod'
          default: email
        role:
          $ref: '#/components/schemas/UserRole'
          default: read_only
        email_is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Is Verified
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
        organization_name:
          type: string
          title: Organization Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - email
        - organization_id
        - organization_name
        - created_at
        - updated_at
      title: UserDB
    AuthMethod:
      type: string
      enum:
        - email
        - google
        - github
        - okta
        - azure-ad
        - custom
        - saml
        - invite
      title: AuthMethod
    UserRole:
      type: string
      enum:
        - admin
        - manager
        - user
        - read_only
      title: UserRole
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````